程序员最近都爱上了这个网站  程序员们快来瞅瞅吧!  it98k网:it98k.com

本站消息

站长简介/公众号

  出租广告位,需要合作请联系站长


+关注
已关注

分类  

暂无分类

标签  

暂无标签

日期归档  

暂无数据

使用我的条形码扫描仪应用程序时收到意外的对话框消息

发布于2023-12-25 22:25     阅读(517)     评论(0)     点赞(28)     收藏(3)


我使用 ZXing 类制作了一个条形码扫描仪应用程序,除了一件事之外,它一切正常,如果我的手机没有 ZXing 条形码 Apk。然后它说Install Barcode Scanner? This Application requires Barcode Scanner. Would you like to install it?

所以,我的问题是,当我将项目安装到手机中时,有什么方法apk可以自动安装 ZXing 条码扫描仪,或者有什么方法可以将其包含apk到我的项目中。我已包含zxing-2.1.jar到文件夹中libs如果需要我的任何代码行,请告诉我,我会附上它。

我需要帮助。

提前致谢。


解决方案


几个月前我面临着同样的问题。您可以将 ZXing 代码作为库保留在项目中,但不建议这样做,因为应用程序的代码可能会更改(为了更好),但您复制的库不会(自动)。最好的办法是将用户重定向到条形码扫描仪的 Play 商店页面,这将使他们可以选择安装应用程序。这也是ZXing团队建议的。

欲了解更多信息,您可以参考此链接



所属网站分类: 技术文章 > 问答

作者:黑洞官方问答小能手

链接:http://www.javaheidong.com/blog/article/685777/eb105125ce05fb74184c/

来源:java黑洞网

任何形式的转载都请注明出处,如有侵权 一经发现 必将追究其法律责任

28 0
收藏该文
已收藏

评论内容:(最多支持255个字符)